Bug 10997 - Fix database vacuuming
Fix database vacuuming
Status: RESOLVED FIXED
Product: CTDB 2.5.x or older
Classification: Unclassified
Component: ctdb
4.2.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 10077
  Show dependency treegraph
 
Reported: 2014-12-09 03:54 UTC by Amitay Isaacs
Modified: 2014-12-15 19:32 UTC (History)
3 users (show)

See Also:


Attachments
CTDB vacuuming patches for 4.2 (8.98 KB, patch)
2014-12-09 04:55 UTC, Amitay Isaacs
martins: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Amitay Isaacs 2014-12-09 03:54:59 UTC
There are few issues with vacuuming in the current code:

1. Multiple vacuuming child processes can trigger at the same time which can be quite expensive on a loaded system.

2. Vacuuming process uses blocking locks while checking database records, which can get in the way of regular database processing.

3. Recovery daemon processes vacuum fetch records one by one which can take longer than the actual vacuuming interval and cause subsequent vacuum fetch requests to be dropped.
Comment 1 Amitay Isaacs 2014-12-09 04:55:05 UTC
Created attachment 10511 [details]
CTDB vacuuming patches for 4.2
Comment 2 Martin Schwenke 2014-12-10 01:01:11 UTC
Hi Karo.  This is good to go for Samba 4.2.  Thanks!
Comment 3 Karolin Seeger 2014-12-10 19:56:14 UTC
Pushed to autobuild-v4-2-test.
Comment 4 Karolin Seeger 2014-12-15 19:32:52 UTC
Pushed to v4-2-test.
Closing out bug report.

Thanks!